/**
 * 上传组件需要的的OSS-KEY在此注册, 支持${compId}、${date}宏
 * 格式如下: '/saas/${compId}/模块名/业务对象名/附件分类名/${date}/'
 *
 * 从表象上看，每使用一个<ws-upload>组件，都应该在此处声明一个osskey
 */
const UPLOAD_OSS_KEY_REGISTER = {
  test: "saas/home/map/flag/${date}/", // 样例代码: sass/公司id/主页/地图/国旗/时间/

};

/**
 * 下载所需配置
 */
const DOWNLOAD_OSS_KEY_REGISTER = {
  test: "https://baidu.com"
};
/**
 * OSS 远端对象存储配置
 */
export default {
  /**
   * 传入分配好的OSS-Key和公司ID，�?�取对应的OSS路径
   * @ossKey 分配好的Key
   * @compId 公司ID
   */
  getUploadPath(ossKey, compId) {
    let path = eval(`UPLOAD_OSS_KEY_REGISTER.${ossKey}`);
    if (!path) {
      console.error("OSS-Key不存在!", ossKey);
      return undefined;
    }

    if (path.indexOf("${compId}") >= 0) {
      // 变量传入配置
      if (!compId) {
        console.error("OSS-Key需要传入compId", ossKey);
        return undefined;
      }
      path = path.replace(/\$\{compId\}/g, compId);
    }

    if (path.indexOf("${date}") >= 0) {
      // 变量传入配置
      var now = new Date();
      var y = now.getFullYear();
      var m = now.getMonth() + 1;
      var d = now.getDate();
      if (m < 10) {
        m = "0" + m;
      }
      if (d < 10) {
        d = "0" + d;
      }
      var date = y + m + d;
      path = path.replace(/\$\{date\}/g, date);
    }

    return path;
  },

  /**
   * 下载路径
   */
  getDownloadPath(dlKey, compId) {
    // TODO
    return DOWNLOAD_OSS_KEY_REGISTER[dlKey];
  },
  onlineUrl: process.env.VUE_APP_BASE_API + "/office/file?fileId="
  // onlineUrl: 'http://192.168.1.19:8090/office/file?fileId=',
};
